Package org.duckdb

## Class DuckDBDriver

- java.lang.Object
- - org.duckdb.DuckDBDriver

All Implemented Interfaces:
  `java.sql.Driver`

    public class DuckDBDriver
    extends java.lang.Object
    implements java.sql.Driver

### Field Summary

Fields
`static java.lang.String` `DUCKDB_READONLY_PROPERTY`
`static java.lang.String` `DUCKDB_USER_AGENT_PROPERTY`
`static java.lang.String` `JDBC_STREAM_RESULTS`

### Constructor Summary

Constructors
`DuckDBDriver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsURL​(java.lang.String url)`
`java.sql.Connection` `connect​(java.lang.String url, java.util.Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.util.logging.Logger` `getParentLogger()`
`java.sql.DriverPropertyInfo[]` `getPropertyInfo​(java.lang.String url, java.util.Properties info)`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DUCKDB_READONLY_PROPERTY

    public static final java.lang.String DUCKDB_READONLY_PROPERTY

See Also:
  Constant Field Values

#### DUCKDB_USER_AGENT_PROPERTY

    public static final java.lang.String DUCKDB_USER_AGENT_PROPERTY

See Also:
  Constant Field Values

#### JDBC_STREAM_RESULTS

    public static final java.lang.String JDBC_STREAM_RESULTS

See Also:
  Constant Field Values

### Constructor Detail

#### DuckDBDriver

    public DuckDBDriver()

### Method Detail

#### connect

    public java.sql.Connection connect​(java.lang.String url,
                                       java.util.Properties info)
                                throws java.sql.SQLException

Specified by:
  `connect` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### acceptsURL

    public boolean acceptsURL​(java.lang.String url)
                       throws java.sql.SQLException

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo​(java.lang.String url,
                                                         java.util.Properties info)
                                                  throws java.sql.SQLException

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`

#### getParentLogger

    public java.util.logging.Logger getParentLogger()
                                             throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLFeatureNotSupportedException`